Subject: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: martin rudalics <[email-masked]>
Date: Thu, 05 Mar 2015 09:04:54 +0100

> Gtk+ does have code that tries to resize a window if it did not get the size it requested.

How does it do that?  Why does a first resize with an odd size
apparently get through at all?  Can't Gtk+ intercept thet first request?
And how comes that Gtk+ is apparently not able to intercept the focus in
reqest in the same way?

BTW, I never understood the following two comments in gtkutil.c:

   /* Must use GTK routines here, otherwise GTK resets the size hints
      to its own defaults.  */

and

       /* Don't set hints when maximized or fullscreen.  Apparently KWin and
          Gtk3 don't get along and the frame shrinks (!).

How could that possibly work?  According to the first comment when we
"don't set hints when maximized or fullscreen" we get "otherwise GTK
resets the size hints to its own defaults".

martin